Please support VectorLinux!

Author Topic: [ SOLVED ] Problem with wxWidgets.  (Read 1366 times)

Locator

  • Vectorian
  • ****
  • Posts: 756
[ SOLVED ] Problem with wxWidgets.
« on: February 28, 2014, 12:52:50 pm »
I am trying to install DVDStyler 2.7 to my operation system (Vector Linux 7.0) from a .tar.bz2 file using vlpackager, and the problem that I an having can be seen in the following output:

checking for wxWidgets version >= 2.8.7... yes (version 2.8.11)
checking for wxWidgets static library... no
checking for wxWidgets media... no
configure: error:
    wxWidgets media library (libwx_gtk2u_media) is missing.

Any practical assistance will be greatly appreciated.
« Last Edit: June 14, 2014, 04:38:10 pm by Locator »

uelsk8s

  • Administrator
  • Vectorian
  • *****
  • Posts: 2504
Re: Problem with wxWidgets.
« Reply #1 on: March 01, 2014, 06:32:06 am »
add the untested repo to your slapt-getrc file and install wxWidgets from there.
I just built it and it has the missing lib.

Locator

  • Vectorian
  • ****
  • Posts: 756
Re: Problem with wxWidgets.
« Reply #2 on: March 01, 2014, 09:12:45 am »
That resolved it, so thank you :)!

Locator

  • Vectorian
  • ****
  • Posts: 756
Re: [ SOLVED ] Problem with wxWidgets.
« Reply #3 on: March 19, 2014, 07:44:59 pm »
I'm sorry to have to be the one to tell you this, but the same problem has popped up again (it's a rather involved story, but to make a long story as short as possible, I ended up having to re-install almost everything onto my hard drive) :(.

Locator

  • Vectorian
  • ****
  • Posts: 756
Re: Problem with wxWidgets.
« Reply #4 on: March 25, 2014, 08:22:45 pm »
add the untested repo to your slapt-getrc file and install wxWidgets from there.
I just built it and it has the missing lib.

Just out of curiosity, where do I find he untested repo?

nightflier

  • Administrator
  • Vectorian
  • *****
  • Posts: 4072

Locator

  • Vectorian
  • ****
  • Posts: 756
Re: Problem with wxWidgets.
« Reply #6 on: June 14, 2014, 04:37:24 pm »
Thank you.